<template lang="pug">
	- var titulo = "-"
	include Base.pug
</template>

<script>
export default {
	data: () => ({
		valor: "",
		error: 0,
		mensaje: ""
	}),
	methods:{
		crear(valor){
			// crea nuevo elemento
			console.log("CREAR", valor)
		},
		crearNuevo(){
			if (this.valor.length) {
				this.crear(this.valor)
				this.terminado()
			}
			else{
				this.error = 1 // Vacío
				this.mensaje = "Valor vacío"
				console.log(this.mensaje)
			}
		},
		terminado(){
			this.$emit("HerramientaTerminado")
		}
	}
}
</script>

<style lang="stylus" scoped>
#herramienta
	padding 1rem
	max-width 100%

header
	color white
	border-bottom 2px solid silver
	margin-bottom .5em

.mensaje
	border 1px solid silver
	border-radius .2em
	padding .5em
	margin-bottom .5em
	background-color gray


.campo
	margin-bottom .5em

.botones
	display flex
	justify-content flex-end

button
	background-color black
	color white
	border none
	margin 0 .1em
	padding .7em
	border-radius 0.2em
	line-height 1
	outline none
	font-size 13px

input
	display block
	width 100%

input[type=text],input[type=url]
	padding 7px

h4
	font-weight bold
	font-size 13px

label
	display block
	color white
	font-size 13px

</style>
